<template>
    <v-row dense>
        <v-col>
            <data-table
                v-model="items"
                :title="$tc('invoice', 2)"
                :endpoint="`/api/accounts/${id}/invoices`"
                :headers="headers"
                :searchable="false"
                :flat="true"
            >
                <template v-slot:item="{ item }">
                    <tr>
                        <td>{{ item.amount | currency }} <span class="text-uppercase">{{ item.currency }}</span></td>
                        <td>
                            <v-chip
                                :class="`status--${item.status}`"
                                text-color="white"
                                label
                            >
                                {{ $t(item.status) }}
                            </v-chip>
                        </td>
                        <td>
                            {{ item.coupon ? item.coupon.name : $t('na') }}
                        </td>
                        <td>{{ item.created_at | date('Do MMM YYYY') }}</td>
                        <td>
                            <v-btn
                                :disabled="!!!item.pdf"
                                :href="item.pdf"
                                :loading="loading"
                                class="text-capitalize"
                                color="primary"
                                text
                                block
                            >
                                <v-icon left>mdi-arrow-down-thick</v-icon>
                                {{ $t('pdf') }}
                            </v-btn>
                        </td>
                    </tr>
                </template>
            </data-table>
        </v-col>
    </v-row>
</template>

<script>
    import DataTable from "../DataTable";
    import { mapMutations } from "vuex";
    export default {
        name: 'UserPayment',
        components: {
            DataTable
        },
        props: ['id'],
        data: () => ({
            items: [],
            loading: false
        }),
        computed: {
            headers() {
                return [
                    { text: this.$t('amount'), value: 'id', align: 'amount', sortable: false },
                    { text: this.$t('status'), value: 'status', sortable: false },
                    { text: this.$tc('coupon', 1), value: 'coupon', sortable: false },
                    { text: this.$t('created_at'), value: 'created_at', sortable: false },
                    { text: this.$t('action'), value: 'action', align: 'center', sortable: false }
                ]
            }
        }
    }
</script>

<style scoped>

</style>
